import { AbstractDynamicSnippetsGenerator, FernGeneratorExec, AbstractFormatter } from '@fern-api/browser-compatible-base-generator';
import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-lz2pTZw3.js';
import '@fern-api/go-ast';

declare class DynamicSnippetsGenerator extends AbstractDynamicSnippetsGenerator<DynamicSnippetsGeneratorContext, FernIr.dynamic.EndpointSnippetRequest, FernIr.dynamic.EndpointSnippetResponse> {
    private formatter;
    constructor({ ir, config, formatter }: {
        ir: FernIr.dynamic.DynamicIntermediateRepresentation;
        config: FernGeneratorExec.GeneratorConfig;
        formatter?: AbstractFormatter;
    });
    generate(request: FernIr.dynamic.EndpointSnippetRequest): Promise<FernIr.dynamic.EndpointSnippetResponse>;
    generateSync(request: FernIr.dynamic.EndpointSnippetRequest): FernIr.dynamic.EndpointSnippetResponse;
}

export { DynamicSnippetsGenerator };
