import { AbstractFormatter } from '@fern-api/browser-compatible-base-generator';
import { FernIr } from '@fern-api/dynamic-ir-sdk';
import { D as DynamicSnippetsGeneratorContext } from './DynamicSnippetsGeneratorContext-lz2pTZw3.js';
import '@fern-api/go-ast';

declare class EndpointSnippetGenerator {
    private context;
    private formatter;
    constructor({ context, formatter }: {
        context: DynamicSnippetsGeneratorContext;
        formatter?: AbstractFormatter;
    });
    generateSnippet({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): Promise<string>;
    generateSnippetSync({ endpoint, request }: {
        endpoint: FernIr.dynamic.Endpoint;
        request: FernIr.dynamic.EndpointSnippetRequest;
    }): string;
    private buildCodeBlock;
    private constructClient;
    private callMethod;
    private getConstructorArgs;
    private getConstructorAuthArg;
    private getConstructorBasicAuthArg;
    private getConstructorBaseUrlArg;
    private getBaseUrlArg;
    private getConstructorBearerAuthArg;
    private getConstructorHeaderAuthArg;
    private getConstructorHeaderArgs;
    private getConstructorHeaderArg;
    private getMethodArgs;
    private getMethodArgsForBodyRequest;
    private getBodyRequestArg;
    private getBytesBodyRequestArg;
    private getMethodArgsForInlinedRequest;
    private getFilePropertyInfo;
    private getInlinedRequestArg;
    private getInlinedRequestBodyStructFields;
    private getFileUploadRequestBodyStructFields;
    private getReferencedRequestBodyPropertyStructField;
    private getReferencedRequestBodyPropertyTypeInstantiation;
    private getInlinedRequestBodyPropertyStructFields;
    private getPathParameters;
    private getMethod;
    private getRootClientFuncInvocation;
}

export { EndpointSnippetGenerator };
